<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Planet Comics</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Planet-Comics-2/digital-comic/895137</Web>
  <Summary>In March 1940, Planet Comics introduced Amazona, the Mighty Woman in an odd, yet thrilling adventure that promised her return in the next issue.  She was never to be seen again.  Now, the full fate and secret will be revealed as Kelsey Shannon lifts the dark veil surrounding her disappearance!  Plus otherworldly adventure and peril from David Hutchison, Chuck Pineau and Zechary Gray!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB895137]</Notes>
  <Publisher>Antarctic Press</Publisher>
  <Genre>Action/Adventure, Science Fiction, Superhero</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
